class CreateForumUsers < ActiveRecord::Migration
  def change
    create_table :forum_users do |t|
      t.string :name
      t.string :firstname
      t.text :bio
      t.string :avatar
      t.string :localisation
      t.boolean :moderator


      ## Database authenticatable
      t.string :email,              :null => false, :default => ""
      t.string :password_digest, :null => false, :default => ""

      ## Recoverable
      t.string   :reset_password_token
      t.datetime :reset_password_sent_at

      ## Rememberable
      t.datetime :remember_created_at

      ## Trackable
      t.integer  :sign_in_count, :default => 0
      t.datetime :current_sign_in_at
      t.datetime :last_sign_in_at
      t.string   :current_sign_in_ip
      t.string   :last_sign_in_ip

    t.boolean :lock
    t.datetime :locked_at

      
      
      t.timestamps
    end
    
    ForumUser.create(:email => "info@nicolasbally.com", :password => "123456", :password_confirmation => "123456")
  end
end
